App antigo terá limitação no Android P

MarinaShimamoto - 19 de março de 2018 - 22:14

App antigo terá limitação no Android P

Google planeja bloquear funcionamento de aplicativos antigos em seu novo sistema operacional, o Android P.

(CCM) — O próximo sistema operacional do Google poderá bloquear aplicativos antigos que estiverem na plataforma da gigante de buscas. A versão do Android P para desenvolvedores já exibe mensagens que indicam essa limitação e, com isso, os usuários e criadores de apps devem ficar atentos, pois a empresa vai travar todos os softwares que tiverem enquadrados nesses termos.



A limitação aparece com um aviso para softwares feitos para Android 4.1 ou anterior, ou seja, indicando que o Google planeja limitar o uso desses serviços. Além disso, a empresa já anunciou que também está certa de bloquear aplicativos que não utilizem de APIs recentes do sistema móvel. Isso porque, ela quer de alguma forma unificar o trabalho em torno de todas as ferramentas que envolvam o Android.

Na nova versão, os apps desenvolvidos para a versão 4.1 Jelly Bean, que foi lançada no ano de 2012 ou anterior a isso, passaram a exibir um alerta informando que suas funcionalidades podem ser limitadas.

Na prática, para que aplicativos funcionem normalmente, eles deverão ser rapidamente adaptados para as novas versões do sistema operacional. O objetivo da companhia com essa atualização é melhorar a usabilidade do sistema e garantir maior segurança para os usuários.

Vale lembrar, que aplicativos antigos estão sujeitos à vulnerabilidade e falhas, que mesmo sendo consertados em versões mais recentes, podem ainda apresentar algum perigo.

Foto: © Denis-Linine - Shutterstock.com
Adicionar comentário

Comentários

Comentar a resposta do usuário anônimo